Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Transfer (SIGNED)

Transfer between spot account and contract account

Request URl

POST https://cloud-api.wooxpro.com/account/v1/transfer-contract

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl 
 -H 'X-BM-KEY:{{AccessKey}}'
 -H 'X-BM-TIMESTAMP:{{currentTime}}'
 -H 'X-BM-SIGN:{{SIGN}}' 
 -X POST -d '{
  "currency":"USDT",
  "amount":"10",
  "type":"spot_to_contract",
  "recvWindow":5000
}'
https://cloud-api.wooxpro.com/account/v1/transfer-contract
FieldTypeRequired?Description
currencyStringYesCurrency (Only USDT is supported)
amountStringYesTransfer amount,allowed range[0.01,10000000000]
typeStringYesTransfer type
-spot_to_contract
-contract_to_spot
recvWindowLongNoTrade time limit, allowed range (0,60000], default: 5000 milliseconds

Response Data

Response
{
  "message":"OK",
  "code":1000,
  "trace":"34018ca3-fe24-446a-9e1d-f82edfb3e3",
  "data":{
    "currency":"USDT",
    "amount":"10"
  }
}
FieldTypeDescription
currencyStringcurrency
amountStringAmount successfully transferred